%define majver %(echo %version | cut -d. -f1-2)

Name:          plasma-wayland-protocols
Version:       1.13.0
Release:       1mamba
Summary:       KDE Plasma-specific protocols for Wayland
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kde.org/
Source:        https://download.kde.org/stable/plasma-wayland-protocols/plasma-wayland-protocols-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules

%description
KDE Plasma-specific protocols for Wayland.

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_datadir}/plasma-wayland-protocols
%{_datadir}/plasma-wayland-protocols/*.xml
%dir %{_libdir}/cmake/PlasmaWaylandProtocols
%{_libdir}/cmake/PlasmaWaylandProtocols/PlasmaWaylandProtocols*.cmake
%doc COPYING.LIB

%changelog
* Sat May 25 2024 Automatic Build System <autodist@openmamba.org> 1.13.0-1mamba
- automatic version update by autodist

* Thu Dec 07 2023 Automatic Build System <autodist@mambasoft.it> 1.12.0-1mamba
- automatic version update by autodist

* Tue Nov 14 2023 Automatic Build System <autodist@mambasoft.it> 1.11.1-1mamba
- automatic version update by autodist

* Tue Nov 07 2023 Automatic Build System <autodist@mambasoft.it> 1.11.0-1mamba
- automatic version update by autodist

* Wed Jan 25 2023 Automatic Build System <autodist@mambasoft.it> 1.10.0-1mamba
- automatic version update by autodist

* Thu Sep 29 2022 Automatic Build System <autodist@mambasoft.it> 1.9.0-1mamba
- automatic version update by autodist

* Wed Sep 07 2022 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- automatic version update by autodist

* Sat May 07 2022 Automatic Build System <autodist@mambasoft.it> 1.7.0-1mamba
- automatic version update by autodist

* Thu Jan 13 2022 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Fri Nov 05 2021 Automatic Build System <autodist@mambasoft.it> 1.5-1mamba
- automatic version update by autodist

* Sun Sep 05 2021 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Fri Jun 11 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.0-1mamba
- update to 1.3.0

* Sun Apr 11 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.1-1mamba
- update to 1.2.1

* Fri Jul 31 2020 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Sat Jul 25 2020 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Thu Jun 11 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-1mamba
- package created using the webbuild interface
